import tkinter as tk
import pyqrcode
import navpoint.fix_path


def run(link):
    window = tk.Tk(className="navpoint")
    window.title("Navpoint")
    window.resizable(width=False, height=False)

    label = tk.Label(window, text="QR code here...")
    label.pack()

    image = tk.BitmapImage(
        data=pyqrcode.create(link).xbm(scale=int(window.winfo_fpixels("2m")))
    )
    image.config(background="white")
    image.config(foreground="black")

    label.config(image=image)

    try:
        window.iconbitmap(navpoint.fix_path.fix_path("icon.ico"))
    except ImportError:#tk.TclError:
        pass


    window.mainloop()
